Bug 458846 - (CVE-2008-3652) CVE-2008-3652 ipsec-tools: racoon orphaned ph1s memory leak
CVE-2008-3652 ipsec-tools: racoon orphaned ph1s memory leak
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080812,publi...
:
Depends On: 458853 458854 458855 458856 458857 465472 465473 465474
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 13:21 EDT by Josh Bressers
Modified: 2016-03-04 07:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 03:11:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream patch from CVS (1.93 KB, patch)
2008-08-12 13:27 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2008-08-12 13:21:47 EDT
A flaw was discovered in the manner which racoon deals with ohphaned ph1s.  The initial report of this states:
    Currently racoon does not remove orphaned ph1s initiated
    by a remote side. This creates a lot of problems, as
    such ph1s may stuck nearly forever.

The thread can be found here:
http://sourceforge.net/mailarchive/forum.php?thread_name=48a0c7a0.qPeWZAE0PY8bDDq%2B%25olel%40ans.pl&forum_name=ipsec-tools-devel
Comment 1 Josh Bressers 2008-08-12 13:27:04 EDT
Created attachment 314120 [details]
Upstream patch from CVS
Comment 3 Tomas Hoger 2008-08-13 03:17:16 EDT
CVE id CVE-2008-3652 was assigned to this issue:

src/racoon/handler.c in racoon in ipsec-tools does not remove an
"orphaned ph1" (phase 1) handle when it has been initiated remotely,
which allows remote attackers to cause a denial of service (resource
consumption).
Comment 6 Fedora Update System 2008-10-18 08:07:17 EDT
ipsec-tools-0.7.1-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/ipsec-tools-0.7.1-5.fc8
Comment 7 Fedora Update System 2008-10-18 08:08:26 EDT
ipsec-tools-0.7.1-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/ipsec-tools-0.7.1-5.fc9
Comment 8 Fedora Update System 2008-11-06 21:53:06 EST
ipsec-tools-0.7.1-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-06 21:58:10 EST
ipsec-tools-0.7.1-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.